Skip to main content
GET
/
v1
/
issuing
/
transactions
List Cards Transactions
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/issuing/transactions \
  --header 'x-auth-token: <api-key>'
{
  "total_pages": 1,
  "total_items": 10,
  "data": [
    {
      "card_id": "c0cef051-29c5-4796-b86a-cd5b684bfad7",
      "card_number": "************5668",
      "cardholder_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
      "transaction_id": "5135e6cc-28b6-4889-81dc-3b86a09e1395",
      "short_transaction_id": "CT2024-03-01",
      "original_transaction_id": "1234e6cc-28b6-4889-81dc-3b86a09e1395",
      "transaction_type": "AUTHORIZATION",
      "transaction_fee": 0.25,
      "transaction_fee_currency": "SGD",
      "fee_pass_through": "Y",
      "card_available_balance": 2506.26,
      "authorization_code": 856268,
      "billing_amount": 70.25,
      "billing_currency": "SGD",
      "transaction_amount": 100.25,
      "transaction_currency": "USD",
      "transaction_time": "2024-03-21T17:17:32+08:00",
      "description": "1107 - Invalid CVV2",
      "transaction_status": "DECLINED",
      "posted_time": "2024-03-21T17:17:32+08:00",
      "merchant_data": {
        "category_code": "6011",
        "city": "CITY NAME",
        "country": "CN",
        "name": "ACQUIRER NAME"
      },
      "wallet_type": "ApplePay"
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_size
integer
default:10
required

The maximum number of items to return per page. This number can be between 10 - 100, and will default to 10

Required range: 10 <= x <= 100
page_number
integer
default:1
required

The page number to retrieve the next set of items. The number has to be greater than 1, and will default to 1

Required range: x >= 1
card_id
string<uuid>

Universally unique identifier (UUID v4) of a card.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82sed2b0"

start_time
string

The earliest transaction creation time to filter by. The maximum time interval between start_time and end_time is 90 days.

Example:

"2024-03-21T17:17:32+08:00"

end_time
string

The latest transaction creation time to filter by. The maximum time interval between start_time and end_time is 90 days.

Example:

"2024-03-21T17:17:32+08:00"

Response

OK - Card transactions returned successfully.

total_pages
integer

The total pages of available items.

Example:

1

total_items
integer

The total counts of available items.

Example:

10

data
object[]